代码编织梦想

注意以下列举出部分依赖jar包的版本,您可直接在您的项目中添加maven依赖,也可以将VODUploadDemo-java-1.4.15包中的所有jar包引入您的项目中使用,其中aliyun-java-cod-upload还未正式开源,请您直接引入jar包至您的项目中使用

  1. 引入上传依赖,但是这个依赖不能在maven创库下载到,手动把依赖安装到本地创库里面

  1. 使用maven命令进行安装

  1. 从阿里云下载上传的jar包,使用命令进行安装

mvn install:install-file -DgroupId=com.aliyun -DartifactId=aliyun-sdk-vod-upload -Dversion=1.4.11 -Dpackaging=jar -Dfile=aliyun-java-vod-upload-1.4.11.jar

参考

https://blog.csdn.net/qq_35502206/article/details/123121264?spm=1001.2101.3001.6650.2&utm_medium=distribute.pc_relevant.none-task-blog-2%7Edefault%7ECTRLIST%7ERate-2-123121264-blog-114097803.pc_relevant_3mothn_strategy_and_data_recovery&depth_1-utm_source=distribute.pc_relevant.none-task-blog-2%7Edefault%7ECTRLIST%7ERate-2-123121264-blog-114097803.pc_relevant_3mothn_strategy_and_data_recovery&utm_relevant_index=3

版权声明:本文为博主原创文章,遵循 CC 4.0 BY-SA 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/weixin_46842345/article/details/129630740

yum工具使用_zhangrl_的博客-爱代码爱编程

yum工具使用 1.挂载光盘2.yum本地仓库3.redhat7使用centos7的yum源步骤4.安装软件包5.常用的command作业: 1.挂载光盘 命令名称:mount /dev/cdrom

maven Could not resolve dependencies for project xxx:jar解决办法-爱代码爱编程

  maven打包或者导入依赖的时候报错:Failed to execute goal on project xxxx [ERROR] Failed to execute goal on project actuator-testbed: Could not resolve dependencies for project org.springfram

尚硅谷实战项目-谷粒学院-part one-爱代码爱编程

实战项目 mybatis-plus的使用 查询操作 application.properties文件 #springboot2.1后加cj,不会报警告 spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver #springboot2.1之后的版本需要加时区 spring.dataso

Spring Boot 谷粒学院、谷粒商城项目问题汇总,java程序员学习路线-爱代码爱编程

解决办法: 2、If you have database settings to be loaded from a particular profile you may need to activate it (no profiles are currently active). 解决办法: 在启动类上加: @SpringBootApp

命令将本地jar包导入到本地maven仓库/Cannot resolve com.aliyun:aliyun-sdk-vod-upload:1.4.11——解决方法-爱代码爱编程

目录树 jar包导入本地maven仓库1.为什么要把jar包导入maven库2.命令导入2.1 关键字分析3.项目刷新 jar包导入本地maven仓库 我这里拿aliyun-java-vod-upload-1.4.14为例子 1.为什么要把jar包导入maven库 在开发过程中,我们总是不可避免的需要依赖某些不在中央仓库,

谷粒学苑项目问题解决-爱代码爱编程

跨域问题 Access to XMLHttpRequest at ‘http://localhost:9001/eduservice/user/login’ from origin ‘http://localhost:9528’ has been blocked by CORS policy: Response to preflight reque

springcloud项目:cannot resolve com.aliyun:aliyun-sdk-vod-upload:1.4.11 jar包下载问题解决以及安装方法_君临天下tjm的博客-爱代码爱编程

springcloud项目在执行maven构建时,提示“aliyun-sdk-vod-upload”依赖加载失败, <dependency> <groupId>com.aliyun</groupId> <artifactId>aliyun-sdk-vod-upload</artif

dpkg : breaks: libapt-pkg5.0 (< 1.7~b) but 1.6.15 is to be installed_丘上人的博客-爱代码爱编程

输入命令: sudo apt-get install aptitude时 报下面的错误: The following packages have unmet dependencies:  dpkg : Breaks: libapt-pkg5.0 (< 1.7~b) but 1.6.15 is to be installed E: Error, pk

linux maven localrepository中由‘\‘引起的错误_aftermath123的博客-爱代码爱编程

这是我刚开始的localRepo地址 <localRepository>\home\aftermath\Java\toolPackage\Maven\apache-maven-3.8.6-bin\apache-

jvm监控搭建-爱代码爱编程

文章目录 JVM监控搭建整体架构JolokiaTelegrafInfluxdbGrafana JVM监控搭建 整体架构 JVM 的各种内存信息,会通过 JMX 接口进行暴露。 Jolokia

redisson项目地址-爱代码爱编程

github 项目 https://github.com/redisson/redisson 整合 spring boot 使用 https://github.com/redisson/redisson/tree/master/redisson-spring-boot-starter#spring-boot-starter 对应配置类以

cannot resolve com.aliyun:aliyun-爱代码爱编程

一、问题原因 在做阿里云视频点播的引入依赖时,遇到如标题所示的报错。 二、解决方案 1.下载 http://docs-aliyun.cn-hangzhou.oss.aliyun-inc.com/assets/attach/51992/cn_zh/1600848199952/VODUploadDemo-java-1.4.13.zip?spm=a2c4

hbase-爱代码爱编程

1、 简介 跳跃表(SkipList)是一种能高效实现插入、删除、查找的内存数据结构,这些操作的期望复杂度都是O(logN)。与红黑树以及其他的二分查找树相比,跳跃表的优势在于实现简单,而且在并发场景下加锁粒度更小,